/*
** Run.c
**
*/

#include <p32xxxx.h>
#include <plib.h>
#include "fft.h"


// configuration bit settings
#pragma config POSCMOD=XT, FNOSC=PRIPLL
#pragma config FPLLIDIV=DIV_2, FPLLMUL=MUL_20, FPLLODIV=DIV_1
#pragma config FWDTEN=OFF, CP=OFF, BWP=OFF

	
main()
{
	int i, t;
	double f;
	// init 32-bit timer4/5
	OpenTimer45(T4_ON | T4_SOURCE_INT, 0);
	// clear the 32-bit timer count
	WriteTimer45(0);
	// insert FFT function calls here

	// 1. initializations
	initFFT();
	// test sinusoid
	for (i=0; i < N_FFT; i++)
	{
		f = sin(2 * PI2N * i);
		inB[i] = 128+(unsigned char) (120.0 * f);
	} // for
	// 2. perform FFT algorithm
	windowFFT(inB);
	FFT();
	powerScale(inB);
	// read the timer count
	t = ReadTimer45();
	f = t/80E6;
	// 3. infinite loop
	while( 1);
	} // main
